---
- name: Verify
  hosts: all
  gather_facts: false
  tasks:

  - name: Get installation state of Satellite 5 agent
    ansible.builtin.command: stat /usr/sbin/rhnsd
    register: rhnsd_lookup
    ignore_errors: true

  - name: Ensure Satellite 5 agent is absent
    ansible.builtin.assert:
      that: rhnsd_lookup.rc == 1

  - name: Lookup crontab for katello restarter
    ansible.builtin.command: stat /etc/cron.daily/goferd-restart
    register: crontab_lookup
    ignore_errors: true

  - name: Ensure crontab is installed
    ansible.builtin.assert:
      that: crontab_lookup.rc == 0
